--forbidden
name = "slowpoke";

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 1;
phys_max_x_vel = 5;
phys_max_y_vel = 50;
phys_jump_vel = 20;
phys_walk_acc = 3;
phys_one_sided = 0;
mp_count = 1;

FunctionName = "CreateEnemy";

--  

texture = "slowpoke";

z = -0.001;

image_width = 512;
image_height = 512;
frame_width = 1;
frame_height = 1;
frames_count = 28;
local speed = 150;
if difficulty>=2.0 then speed = 180; end
local close = 150;
local far = 700;
local mc = 64;
local fc = 74;
local prob_shot = 20;
if difficulty>=2.0 then prob_shot = 40; end

overlay = 0;

animations = 
{
	{ 
		-- 
		name = "init";
		frames = 
		{
			--{ com = constants.AnimComRealX; param = 0 },
			--{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 86 },
			{ com = constants.AnimComRealH; param = 46 },
			{ com = constants.AnimComSetHealth; param = 40 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = 800 },
			{ com = constants.AnimComSetGravity },
			{ com = constants.AnimComSetHealth; param = 100 },
			{ com = constants.AnimComSetTouchable; param = 1 },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		name = "idle";
		frames = 
		{
			{ dur = 100; num = 0; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ com = constants.AnimComLoop }	
		}
	},
	{ 
		-- 
		name = "pain";
		frames = 
		{
			{ com = constants.AnimComPop },
			{ com = constants.AnimComReduceHealth },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComCreateParticles; txt = "pblood-wound"; param = 2 },
			{ com = constants.AnimComRecover; txt = "idle" }
		}
	},
	{ 
		-- 
		name = "move";
		frames = 
		{
			{ dur = 100; num = 0; com = constants.AnimComMoveToTargetX; param = speed },  	--0
			{ com = constants.AnimComPushInt; param = close },				--1
			{ com = constants.AnimComJumpIfTargetClose; param = mc },			--2
			{ com = constants.AnimComPushInt; param = prob_shot },				--3
			{ com = constants.AnimComJumpRandom; param = 7 },					--4
			{ com = constants.AnimComPushInt; param = far },				--5
			{ com = constants.AnimComJumpIfTargetClose; param = fc },			--6
			{ dur = 0 },									--7
			{ dur = 100; num = 1; com = constants.AnimComMoveToTargetX; param = speed },	--8
			{ com = constants.AnimComPushInt; param = close },				--9
			{ com = constants.AnimComJumpIfTargetClose; param = mc },			--10
			{ com = constants.AnimComPushInt; param = prob_shot },				--11
			{ com = constants.AnimComJumpRandom; param = 15 },					--12
			{ com = constants.AnimComPushInt; param = far },				--13
			{ com = constants.AnimComJumpIfTargetClose; param = fc },			--14
			{ dur = 0 },									--15
			{ dur = 100; num = 2; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 23 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ dur = 0 },									--23
			{ dur = 100; num = 3; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 31 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ dur = 0 },									--31
			{ dur = 100; num = 4; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 39 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ dur = 0 },									--39
			{ dur = 100; num = 5; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 47 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ dur = 0 },									--47
			{ dur = 100; num = 6; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 55 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ dur = 0 },									--55
			{ dur = 100; num = 7; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = close },
			{ com = constants.AnimComJumpIfTargetClose; param = mc },
			{ com = constants.AnimComPushInt; param = prob_shot },
			{ com = constants.AnimComJumpRandom; param = 62 },
			{ com = constants.AnimComPushInt; param = far },
			{ com = constants.AnimComJumpIfTargetClose; param = fc },
			{ com = constants.AnimComLoop },
			--  , .
			{ dur = 0 },
			{ dur = 50; num = 0; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 1; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 2; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 3; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 4; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 5; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 6; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ dur = 50; num = 7; com = constants.AnimComMoveToTargetX; param = -2 * speed },
			{ com = constants.AnimComLoop },
			--   
			{ dur = 0 },
			{ com = constants.AnimComSetAnim; txt = "shoot" },
		}
	},
	{
		name = "shoot";
		frames =
		{
			--{ com = constants.AnimComSetTouchable; param = 0 },
			{ dur = 100; num = 8; com = constants.AnimComRealH; param = 46 },
			{ com = constants.AnimComRealH; param = 51 },
			{ dur = 100; num = 9; com = constants.AnimComFaceTarget },
			{ dur = 100; num = 10; com = constants.AnimComRealH; param = 72 },
			{ dur = 100; num = 11; com = constants.AnimComRealH; param = 71 },
			{ dur = 100; num = 12; com = constants.AnimComRealH; param = 70 },
			{ com = constants.AnimComRealH; param = 70 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = -10 },
			{ dur = 100; num = 13; com = constants.AnimComAimedShot; txt = "slowpoke-snowball" },
			{ com = constants.AnimComPushInt; param = 128 },
			{ com = constants.AnimComJumpRandom; param = 16 },
			{ dur = 100; num = 14; com = constants.AnimComRealH; param = 62 },
			{ dur = 100; num = 15; com = constants.AnimComRealH; param = 51 },
			{ com = constants.AnimComRealH; param = 46 },
			--{ com = constants.AnimComSetTouchable; param = 1 },
			{ com = constants.AnimComSetAnim; txt = "move" },
			{ dur = 0 },
			{ com = constants.AnimComLoop }
		}
	},
	{
		-- 
		name = "jump";
		frames = 
		{
			{ com = constants.AnimComSetAnim; txt = "move" }
		}
	},
	{
		name = "touch";
		frames = 
		{
			{  com = constants.AnimComJumpIfSquashCondition; param = 4 },
			{  com = constants.AnimComPop },
			{  com = constants.AnimComSetTouchable; param = 1 },
			{  num = 17; com = constants.AnimComRecover },
			--{ com = constants.AnimComSetAnim; txt = "idle" },
			--17-23
			{ dur = 0 },
			{ com = constants.AnimComBounceObject; param = 2000 },
			{ com = constants.AnimComSetAnim; txt = "die" }

		}
	},
	{ 
		-- 
		name = "die";
		frames = 
		{
			{ com = constants.AnimComSetTouchable; param = 0 },
			{ com = constants.AnimComMapVarAdd; param = 30; txt = "score" },
			{ dur = 100; num = 17; com = constants.AnimComRealH; param = 45 },
			{ dur = 100; num = 18; com = constants.AnimComRealH; param = 46 },
			{ dur = 100; num = 19; com = constants.AnimComRealH; param = 58 },
			{ dur = 100; num = 20; com = constants.AnimComRealH; param = 48 },
			{ dur = 100; num = 21; com = constants.AnimComRealH; param = 30 },
			{ dur = 100; num = 22; com = constants.AnimComRealH; param = 22 },
			{ dur = 100; num = 23; com = constants.AnimComRealH; param = 10 },
			{ com = constants.AnimComDestroyObject }	
		}
	},
	{ 
		-- 
		name = "land";
		frames = 
		{
			{ com = constants.AnimComSetAnim; txt = "idle" }
		}
	}
	
}



